# Generated by Django 3.1.3 on 2020-11-05 11:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Info',
            fields=[
                ('info_id', models.AutoField(primary_key=True, serialize=False)),
                ('tanggal', models.DateField()),
                ('protokol_kesehatan', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Pulau',
            fields=[
                ('nama', models.CharField(max_length=35, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='Saran',
            fields=[
                ('saran_id', models.AutoField(primary_key=True, serialize=False)),
                ('tanggal', models.DateField()),
                ('email', models.CharField(max_length=35)),
                ('jenis_saran', models.CharField(max_length=35)),
                ('saran', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='VerifiedInfo',
            fields=[
                ('info_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='verified', serialize=False, to='main.info')),
            ],
        ),
        migrations.CreateModel(
            name='WebsitePemda',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alamat', models.URLField()),
                ('info_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='website_pemda', to='main.info')),
            ],
        ),
        migrations.CreateModel(
            name='TelponPemda',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nomor_telpon', models.IntegerField()),
                ('info_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='telpon_pemda', to='main.info')),
            ],
        ),
        migrations.CreateModel(
            name='Provinsi',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=35)),
                ('nama_pulau', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='provinsi', to='main.pulau')),
            ],
        ),
        migrations.CreateModel(
            name='NonVerifiedInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=35)),
                ('info_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='non_verified', to='main.info')),
            ],
        ),
        migrations.AddField(
            model_name='info',
            name='nama_provinsi',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='info', to='main.provinsi'),
        ),
        migrations.CreateModel(
            name='EmailPemda',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=35)),
                ('info_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='email_pemda', to='main.info')),
            ],
        ),
        migrations.AddConstraint(
            model_name='websitepemda',
            constraint=models.UniqueConstraint(fields=('info_id', 'alamat'), name='composite primary key constraint website pemda'),
        ),
        migrations.AddConstraint(
            model_name='telponpemda',
            constraint=models.UniqueConstraint(fields=('info_id', 'nomor_telpon'), name='composite primary key constraint telpon pemda'),
        ),
        migrations.AddConstraint(
            model_name='provinsi',
            constraint=models.UniqueConstraint(fields=('nama', 'nama_pulau'), name='composite primary key constraint provinsi'),
        ),
        migrations.AddConstraint(
            model_name='nonverifiedinfo',
            constraint=models.UniqueConstraint(fields=('info_id', 'email'), name='composite primary key constraint non verified info'),
        ),
        migrations.AddConstraint(
            model_name='info',
            constraint=models.UniqueConstraint(fields=('info_id', 'nama_provinsi'), name='composite primary key constraint info'),
        ),
        migrations.AddConstraint(
            model_name='emailpemda',
            constraint=models.UniqueConstraint(fields=('info_id', 'email'), name='composite primary key constraint email pemda'),
        ),
    ]
